<?php

namespace Intergo\AuthClient\Enums;

class UserStatusEnum
{
    const ACTIVE = 'active';
    const INACTIVE = 'inactive';
    const PREACTIVE= 'pre_active';
    const PREINACTIVE='pre_inactive';


    public static function preStatuses(): array
    {
        return [
            self::PREACTIVE,
            self::PREINACTIVE
        ];
    }

    public static function allowToBeActive(): array
    {
        return array_merge([
            self::INACTIVE
        ], static::preStatuses());
    }

    public function allowToBeInactive(): array
    {
        return array_merge([
            self::ACTIVE
        ], static::preStatuses());
    }


}